Subject: Re: bug#78927: [PATCH] Update `fill-region-as-paragraph-semlf' to follow fill.el protocols

From: Eli Zaretskii <[email-masked]>
Date: Mon, 30 Jun 2025 18:51:49 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 30 Jun 2025 10:42:34 -0400
> 
> > This patch updates the `fill-region-as-paragraph-semlf' function to
> > follow the `fill-region-as-paragraph-function' protocol.  This allows to
> > delete the `fill-paragraph-semlf' function, which is replaced by
> > `fill-paragraph' combined with assigning
> > `fill-region-as-paragraph-semlf' to `fill-region-as-paragraph-function'.
> >
> > Stefan, I also took the opportunity to remove the `with-restriction'
> > call from `fill-region-as-paragraph-semlf', as discussed in:
> >
> > https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78561#47
> >
> > Given that `fill-paragraph-semlf' is not part of any stable release of
> > GNU Emacs, I guess it is fine to remove it.  Is this a fair assumption?
> 
> Thanks.  This looks good to me.  See minor comments below.
> Eli?

I'm okay with this, but I think we should not delete the command, see
my other message.